Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.gui.action
Class ReportSaveGraphics

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportSaveGraphics

All Implemented Interfaces:
  Command

    public class ReportSaveGraphics

extends Object
implements Command

SaveGraphics action is meant to be a generic reusable Action. The class will use GUIPackage to get the current gui. Once it does, it checks to see if the element implements Printable interface. If it does, it call getPrintable() to get the JComponent. By default, it will use SaveGraphicsService to save a PNG file if no extension is provided. If either .png or .tif is in the filename, it will call SaveGraphicsService to save in the format.

Field Summary
`static String` | `SAVE_GRAPHICS`

Constructor Summary
`ReportSaveGraphics()` Constructor for the Save object.

Method Summary
`void` | `doAction(ActionEvent e)`
`Set<String>` | `getActionNames()` Gets the ActionNames attribute of the Save object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAVE_GRAPHICS

    public static final String SAVE_GRAPHICS

See Also:
  Constant Field Values

Constructor Detail

### ReportSaveGraphics

    public ReportSaveGraphics()

  Constructor for the Save object.

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Save object.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)
                  throws IllegalUserActionException

  Specified by:
    `doAction` in interface `Command`
  Throws:
    `IllegalUserActionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.